#2381 hub: [multicall] raise unexpected error when the Exception contains non-str arg
Closed: Fixed 10 months ago by tkopecek. Opened a year ago by julian8628.

related: #2361

...
[Sun Jul 19 08:06:36.160972 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518] During handling of the above exception, another exception occurred:
[Sun Jul 19 08:06:36.160973 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518] 
[Sun Jul 19 08:06:36.160975 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518] Traceback (most recent call last):
[Sun Jul 19 08:06:36.160977 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518]   File "/usr/share/koji-hub/kojixmlrpc.py", line 238, in _wrap_handler
[Sun Jul 19 08:06:36.160979 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518]     response = handler(environ)
[Sun Jul 19 08:06:36.160981 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518]   File "/usr/share/koji-hub/kojixmlrpc.py", line 281, in handle_rpc
[Sun Jul 19 08:06:36.160983 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518]     return self._dispatch(method, params)
[Sun Jul 19 08:06:36.160984 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518]   File "/usr/share/koji-hub/kojixmlrpc.py", line 318, in _dispatch
[Sun Jul 19 08:06:36.160986 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518]     ret = koji.util.call_with_argcheck(func, params, opts)
[Sun Jul 19 08:06:36.160988 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518]   File "/usr/lib/python3.8/site-packages/koji/util.py", line 258, in call_with_argcheck
[Sun Jul 19 08:06:36.160990 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518]     return func(*args, **kwargs)
[Sun Jul 19 08:06:36.160992 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518]   File "/usr/share/koji-hub/kojixmlrpc.py", line 348, in multiCall
[Sun Jul 19 08:06:36.160994 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518]     faultString = ', '.join(exc_value.args)
[Sun Jul 19 08:06:36.160996 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518] TypeError: sequence item 0: expected str instance, int found
[Sun Jul 19 08:06:36.160997 2020] [wsgi:error] [pid 1085666:tid 139676757255936] [client 10.3.163.76:42518]

Metadata Update from @julian8628:
- Custom field Size adjusted to None

a year ago

Metadata Update from @tkopecek:
- Issue set to the milestone: 1.23

a year ago

Metadata Update from @jcupova:
- Issue tagged with: testing-ready

a year ago

Metadata Update from @mfilip:
- Issue tagged with: testing-done

10 months ago

Login to comment on this ticket.

Metadata
Related Pull Requests
  • #2382 Merged 10 months ago